Meteor Upgrade from 1.4.1.1 to 1.4.1.2


#1

I would like to upgrade Meteor 1.4.1.1 to Meteor 1.4.1.2. Please can someone advise?

I run the following:

meteor update --release 1.4.1.2

And I get the following error:

E:\Development\IDE\ionic-apps\theWhoZoo\api>meteor update --release 1.4.1.2
C:\Users\Richard\AppData\Local\.meteor\packages\meteor-tool\1.4.1_1\mt-os.windows.x86_32\dev_bundle\lib\node_modules\meteor-promise\promise_server.js:165
      throw error;
      ^

Error: unexpected eof
    at decorate (C:\Users\Richard\AppData\Local\.meteor\packages\meteor-tool\1.4.1_1\mt-os.windows.x86_32\dev_bundle\lib\node_modules\fstream\lib\abstract.js:67:36)

Must I delete the following directory first?

C:\Users\Richard\AppData\Local\.meteor

#2

See here. Looks like this is a bug in Meteor, to be fixed in Meteor 1.4.2.

To fix:

with Command Prompt (cmd.exe)

C:\Users\IEUser\my-app>set METEOR_WAREHOUSE_URLBASE=https://d3fm2vapipm3k9.cloudfront.net

C:\Users\IEUser\my-app>meteor

With PowerShell

PS C:\Users\IEUser\my-app> $Env:METEOR_WAREHOUSE_URLBASE="https://d3fm2vapipm3k9.cloudfront.net"
PS C:\Users\IEUser\my-app> meteor

Also try:

meteor update --patch